Unit Tde44e1_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, Fsc_p, DE44E_p;

function tde44e1: String;

implementation

function tde44e1: String;
var
M,IMAX,JSTART,INIAPR,_i,NX,KP2,KP1,L,J :Integer;
H,XK,Q,X,XP :Extended;
DELY :Array [0..1] of Extended;
YT :Array [0..1] of Extended;
YX :Array [0..1] of Extended;
XJ0 :Array [0..10] of Extended;
AU :Array [0..25] of Extended;
AJK :Array [0..23] of Extended;
HD4I :Array [0..11] of Extended;
RABC :Array [0..10] of Extended;
ALP :Array [0..10] of Extended;
ALPN :Array [0..10] of Extended;
CMAR :Array [0..120] of Extended;
P :Array [0..64] of Extended;
S :Array [0..76] of Extended;
YP :Array [0..1] of Extended;
AJKP :Array [0..23] of Extended;
U :Array [0..21] of Extended;
ZFI :Array [0..27] of Extended;
K :Integer;
label
_20;
begin
K := 11;
Result := '';  {   }
{ ________________________________________________ }
{  }
M := 2;
Q := 0.5e0;
X := 0.0;
YX[0] := Cos(Q)+1.e0;
YX[1] := -Sin(Q)+1.e0;
H := 1.0e0;
XK := X+H;
YT[0] := Cos(Q*(2.e0*XK-1.e0))+1.e0;
YT[1] := Sin(Q*(2.e0*XK-1.e0))+1.e0;
IMAX := 16;
JSTART := 0;
INIAPR := 1;
DE44E(Fsc,M,K,INIAPR,IMAX,JSTART,YX,X,XJ0,AU,AJK,H,
     HD4I,RABC,ALP,ALPN,CMAR,P,S,XP,YP,AJKP,U,ZFI);
DELY[0] := YT[0]-YX[0];
DELY[1] := YT[1]-YX[1];
Result := Result + Format('%s',[' ' + '-']);
Result := Result + Format('%s',
 ['---------------------------------------------------------------' + #$0D#$0A]);
Result := Result + Format(' XP=%30.18e      X=%30.18e ',
 [XP,X]) + #$0D#$0A;
Result := Result + Format(' H=%20.16f    K=%2d    INIAPR=%1d    IMAX=%2d    JSTART=%1d ',
 [H,K,INIAPR,IMAX,JSTART]) + #$0D#$0A;
Result := Result + Format('%s',[' YX=']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%30.18e ',[YX[_i]]);
  if ( ((_i+1) mod  2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + Format('%s',[#$0D#$0A + ' YT=']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%30.18e ',[YT[_i]]);
  if ( ((_i+1) mod  2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + Format('%s',[#$0D#$0A + ' DELTA Y  =']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%30.18e ',[DELY[_i]]);
  if ( ((_i+1) mod  2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
NX := 1;
KP2 := K+2;
KP1 := K+1;
Result := Result + Format(#$0D#$0A+' COEFFICIENTS AU AND AJK ON %3d ',
 [NX]);
Result := Result + Format('%s',['  SEGMENT  ']) + #$0D#$0A;
for L:=1 to M do
 begin
  Result := Result + Format('%s',[' ' + '-']);
  Result := Result + Format('%s',
 ['--------------------------------------------------------------------------------' + #$0D#$0A]);
  Result := Result + Format('   Number of       Chebyshev coefficients for %1d ',
 [L]);
  Result := Result + Format('%s',
 [' component'+#$0D#$0A+'                          ------------------------------------------------------------------'+#$0D#$0A+' coefficient                     for Y                                            for Y'''+#$0D#$0A+' -------------------------------------------------------------------------------------------------']) + #$0D#$0A;
  for J:=1 to KP1 do
   begin
    Result := Result + Format('     %2d      %30.18e %30.18e ',
 [J-1,AU[(L-1)+(J-1)*2],AJK[(L-1)+(J-1)*2]]) + #$0D#$0A;
   end;
  Result := Result + Format('     %2d      %30.18e ',
 [KP1,AU[(L-1)+(KP2-1)*2]]) + #$0D#$0A;
_20:
 end;
UtRes('Tde44e1',Result);  {     Tde44e1.res }
exit;
{  }
end;

end.
